## swig 3.0.12

=== Examples/octave/class/Makefile ===
CXXSRCS = example.cxx

include $(SRCDIR)../example.mk
