=== debian/changelog ===
swig (3.0.12-2) unstable; urgency=low

  * tracker.d.o: Update Vcs-* control fields to point to the new repository on
    salsa.d.o.
  * Remove build dependencies that are only required for testing
    the build (closes: #752938).

 -- Torsten Landschoff <torsten@debian.org>  Sun, 27 Jan 2019 19:57:54 +0100

swig (3.0.12-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * python-fix-function-cast-warnings.patch: Fix GCC8 warnings in generated
    Python code. (Closes: #897857)
  * python-fix-gcc8-strncpy-warning.patch: Fix more GCC8 warnings in generated
    Python code.
  * fix-gcc8-memset-warnings.patch: Fix GCC8 warnings in generated code for
    various languages.

 -- Olly Betts <olly@survex.com>  Fri, 10 Aug 2018 12:48:36 +1200

swig (3.0.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * octave4.4.patch: new patch (closes: #901504)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 17 Jun 2018 14:25:41 +0200

swig (3.0.12-1) unstable; urgency=medium

  * New upstream release 3.0.12 (closes: #863848).
    + Includes support for php 7 (closes: #851251).
    + Corrects generation of R wrappers (closes: #868748).

  * Drop patch add-Octave-4.2-support.patch now included upstream.

 -- Torsten Landschoff <torsten@debian.org>  Tue, 05 Sep 2017 18:29:41 +0000

swig (3.0.11-1) experimental; urgency=low

  * New upstream release 3.0.11. 

 -- Torsten Landschoff <torsten@debian.org>  Mon, 04 Sep 2017 21:47:24 +0000

swig (3.0.10-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add octave 4.2 support. Closes: #868531, #736393

 -- Ole Streicher <olebole@debian.org>  Sun, 16 Jul 2017 21:06:41 +0200
