=== debian/control ===
Source: swig
Section: interpreters
Priority: optional
Maintainer: Torsten Landschoff <torsten@debian.org>
Standards-Version: 3.9.5
Vcs-Git: https://salsa.debian.org/debian/swig.git
Vcs-Browser: https://salsa.debian.org/debian/swig
Homepage: http://www.swig.org/
Testsuite: autopkgtest
Build-Depends: dpkg-dev (>= 1.16.1~),
               bison,
               debhelper (>= 7.0),
               dh-autoreconf,
               libpcre3-dev

Package: swig
Architecture: any
Depends: swig3.0 (>= ${source:Version}), ${misc:Depends}
Multi-Arch: foreign
Suggests: swig-doc, swig-examples
Conflicts: swig2.0
Replaces: swig2.0
Description: Generate scripting interfaces to C/C++ code
 SWIG is a compiler that makes it easy to integrate C and C++ code
 with other languages including Perl, Tcl, Ruby, Python, Java,
 Guile, Mzscheme, Chicken, OCaml, Pike, and C#.
 .
 Swig takes a set of ANSI C/C++ declarations and generates an
 interface for them to your favorite scripting language.
 .
 This is a dependency package providing the stable version of SWIG.

Package: swig3.0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Suggests: swig3.0-examples, swig3.0-doc
Description: Generate scripting interfaces to C/C++ code
 SWIG is a compiler that makes it easy to integrate C and C++ code
 with other languages including Perl, Tcl, Ruby, Python, Java, 
 Guile, Mzscheme, Chicken, OCaml, Pike, and C#.
 .
 Swig takes a set of ANSI C/C++ declarations and generates an 
 interface for them to your favorite scripting language.

Package: swig-examples
Architecture: all
Depends: swig3.0-examples (>= 3.0.0-1), ${misc:Depends}
Conflicts: swig2.0-examples
Replaces: swig2.0-examples
Description: Examples for applications of SWIG
 This is a dependency package providing the examples of the default
 version of SWIG in Debian.

Package: swig3.0-examples
Architecture: all
Depends: swig3.0, ${misc:Depends}
Description: Examples for applications of SWIG
 Contains examples for applications of SWIG, a wrapper interface
 generator to integrate C code into scripting languages.

Package: swig-doc
Architecture: all
Depends: swig3.0-doc (>= 3.0.0-1), ${misc:Depends}
Section: doc
Conflicts: swig2.0-doc
Replaces: swig2.0-doc
Description: HTML documentation for SWIG
 This is a dependency package providing the documentation of the default
 version of SWIG in Debian.

Package: swig3.0-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: HTML documentation for SWIG
 Contains the users' and developers' manuals for SWIG (Simplified 
 Wrapper Interface Generator) 2.0 in HTML format.
