=== debian/tests/control ===
Tests: flatnested-crash
Depends: swig3.0

Test-Command: ccache-swig3.0 -V
Depends: swig3.0

Test-Command: ccache-swig -V
Depends: swig
