=== debian/changelog ===
swig (4.0.1-5build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:59:08 +0100

swig (4.0.1-5) unstable; urgency=medium

  * Fix segmentation fault with empty docstrings triggered by ltt-control
    by applying upstream patch (closes: #951839).

 -- Torsten Landschoff <torsten@debian.org>  Sun, 23 Feb 2020 21:41:34 +0100

swig (4.0.1-4) unstable; urgency=medium

  * Apply upstream patch for ruby2.7 support (closes: #951623).
  * This required another upstream patch which fixes global
    variables for Ruby.

 -- Torsten Landschoff <torsten@debian.org>  Fri, 21 Feb 2020 13:28:59 +0100

swig (4.0.1-3) unstable; urgency=high

  * Fix invocation of ccache-swig4.0, the program transform logic was
    dropped from Makefile.in by upstream.
  * Actually use the hardening build flags for ccache. My last
    attempt did actually set CPPFLAGS correctly but I missed another
    assignment overriding the correct value.
  * Enable salsa.debian.org CI integration in the source package.
  * debian/gbp.conf: Added gbp (git build package) configuration file.

 -- Torsten Landschoff <torsten@debian.org>  Thu, 20 Feb 2020 23:00:38 +0100

swig (4.0.1-2.1) unstable; urgency=high

  * Non-maintainer upload.

  [ Boyuan Yang ]
  * debian/: Replace all occurrences of swig3.0 with swig4.0.

  [ Ole Streicher ]
  * debian/swig.links: Update swig.links for version 4.0.
    (Closes: #951703)

 -- Boyuan Yang <byang@debian.org>  Thu, 20 Feb 2020 14:46:05 -0500

swig (4.0.1-2) unstable; urgency=low

  * debian/control: Update Standards-Version to 4.5.0 (no changes).
  * Retarget to unstable.
  * debian/control: Mark swig, swig4.0-doc and swig4.0-examples as
    Multi-Arch: foreign as suggested by the multiarch hinter.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 19 Feb 2020 21:13:39 +0100

swig (4.0.1-1) experimental; urgency=low

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_configure pass --host to ./configure
    (closes: #920734).

  [ Torsten Landschoff ]
  * New upstream release 4.0.1 (closes: #928375).

    + Create builddir/Source/CParse in configure phase and touch
      Source/parser.y to ensure that the parser is generated with the
      current bison package.

      No idea why builddir/Source/CParse is no longer created by
      running configure as in swig 3.0.12.

 -- Torsten Landschoff <torsten@debian.org>  Sat, 18 Jan 2020 23:22:45 +0100

swig (3.0.12-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use PyObject_GC_UnTrack instead of the macro _PyObject_GC_UNTRACK,
    removed in Python 3.8. Closes: #942706.

 -- Matthias Klose <doko@debian.org>  Tue, 22 Oct 2019 16:27:42 +0200

swig (3.0.12-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Hilko Bengen ]
  * Include all examples in the swig3.0-examples package (closes: #924487).

  [ Torsten Landschoff ]
  * Use CPPFLAGS for ccache build as well.

  [ Sébastien Villemot ]
  * octave5.patch: new patch, ensures Octave 5 compatibility (Closes: #941746).

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 07 Oct 2019 21:26:54 +0200
