=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: Torsten Landschoff <torsten@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/swig.git
 Vcs-Browser: https://salsa.debian.org/debian/swig
 Homepage: http://www.swig.org/
@@ -14,8 +14,8 @@
                libpcre3-dev
 
 Package: swig
-Architecture: any
-Depends: swig3.0 (>= ${source:Version}), ${misc:Depends}
+Architecture: all
+Depends: swig4.0 (>= ${source:Version}), ${misc:Depends}
 Multi-Arch: foreign
 Suggests: swig-doc, swig-examples
 Conflicts: swig2.0
@@ -30,11 +30,11 @@
  .
  This is a dependency package providing the stable version of SWIG.
 
-Package: swig3.0
+Package: swig4.0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: foreign
-Suggests: swig3.0-examples, swig3.0-doc
+Suggests: swig4.0-examples, swig4.0-doc
 Description: Generate scripting interfaces to C/C++ code
  SWIG is a compiler that makes it easy to integrate C and C++ code
  with other languages including Perl, Tcl, Ruby, Python, Java, 
@@ -45,23 +45,24 @@
 
 Package: swig-examples
 Architecture: all
-Depends: swig3.0-examples (>= 3.0.0-1), ${misc:Depends}
+Depends: swig4.0-examples (>= 3.0.0-1), ${misc:Depends}
 Conflicts: swig2.0-examples
 Replaces: swig2.0-examples
 Description: Examples for applications of SWIG
  This is a dependency package providing the examples of the default
  version of SWIG in Debian.
 
-Package: swig3.0-examples
+Package: swig4.0-examples
 Architecture: all
-Depends: swig3.0, ${misc:Depends}
+Depends: swig4.0, ${misc:Depends}
 Description: Examples for applications of SWIG
  Contains examples for applications of SWIG, a wrapper interface
  generator to integrate C code into scripting languages.
 
 Package: swig-doc
 Architecture: all
-Depends: swig3.0-doc (>= 3.0.0-1), ${misc:Depends}
+Multi-Arch: foreign
+Depends: swig4.0-doc (>= 3.0.0-1), ${misc:Depends}
 Section: doc
 Conflicts: swig2.0-doc
 Replaces: swig2.0-doc
@@ -69,8 +70,9 @@
  This is a dependency package providing the documentation of the default
  version of SWIG in Debian.
 
-Package: swig3.0-doc
+Package: swig4.0-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Description: HTML documentation for SWIG
