=== debian/changelog ===
swig (4.0.2-1) unstable; urgency=medium

  * New upstream release 4.0.2.
  * Drop upstream patches that are included in release 4.0.2:
    + fix_empty_docstrings.patch
    + ruby-globalmodule.patch
    + ruby2.7-support
  * Raise debhelper compat level from 9 to 10 (now configured in
    the control file instead of debian/compat).
    + Drop unneeded build-dependency on dh-autoreconf (lintian).

 -- Torsten Landschoff <torsten@debian.org>  Sat, 14 Nov 2020 23:10:15 +0100
