=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Testsuite: autopkgtest
 Build-Depends: dpkg-dev (>= 1.16.1~),
                bison,
-               debhelper (>= 7.0),
-               dh-autoreconf,
+               debhelper (>= 10~),
+               debhelper-compat (= 10),
                libpcre3-dev
 
 Package: swig
