=== debian/tests/control ===
Tests: flatnested-crash
Depends: swig4.0

Test-Command: ccache-swig4.0 -V
Depends: swig4.0

Test-Command: ccache-swig -V
Depends: swig
