## swig 4.1.0

=== debian/changelog ===
swig (4.1.0-0~kolab1) unstable; urgency=medium

  * Release of 4.1.0

 -- Christian Mollekopf <mollekopf@apheleia-it>  Wed,  10 Nov 2022 13:13:13 +0200

swig (3.0.12-0~kolab1) unstable; urgency=medium

  * Release of 3.0.12

 -- Jeroen van Meeuwen (Kolab Systems) <vanmeeuwen@kolabsys.com>  Thu,  4 May 2017 13:13:13 +0200
