=== debian/control ===
--- 
+++ 
@@ -2,19 +2,19 @@
 Section: interpreters
 Priority: optional
 Maintainer: Torsten Landschoff <torsten@debian.org>
-Standards-Version: 4.5.0
-Vcs-Git: https://salsa.debian.org/debian/swig.git
-Vcs-Browser: https://salsa.debian.org/debian/swig
+Standards-Version: 3.9.5
+Vcs-Svn: svn://svn.debian.org/svn/pkg-swig/branches/swig4.0
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-swig/branches/swig4.0
 Homepage: http://www.swig.org/
 Testsuite: autopkgtest
 Build-Depends: dpkg-dev (>= 1.16.1~),
                bison,
-               debhelper (>= 10~),
-               debhelper-compat (= 10),
-               libpcre3-dev
+               debhelper (>= 7.0),
+               dh-autoreconf,
+               libpcre2-dev,
 
 Package: swig
-Architecture: all
+Architecture: any
 Depends: swig4.0 (>= ${source:Version}), ${misc:Depends}
 Multi-Arch: foreign
 Suggests: swig-doc, swig-examples
@@ -61,7 +61,6 @@
 
 Package: swig-doc
 Architecture: all
-Multi-Arch: foreign
 Depends: swig4.0-doc (>= 3.0.0-1), ${misc:Depends}
 Section: doc
 Conflicts: swig2.0-doc
@@ -72,7 +71,6 @@
 
 Package: swig4.0-doc
 Architecture: all
-Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Description: HTML documentation for SWIG
