=== debian/rules ===
--- 
+++ 
@@ -18,22 +18,30 @@
 MAKEOPTS =
 CONFIGURE_ARGS := \
 	--prefix=/usr --mandir=/usr/share/man	\
-	--with-swiglibdir=/usr/share/swig4.0		\
-    --program-suffix=4.0
+    --without-ocaml \
+    --with-python3=python3 \
+    --with-2to3=2to3 \
+    --with-php \
+    --without-perl5 \
+    --without-tcl \
+    --without-java \
+    --without-r \
+    --without-go \
+    --without-guile \
+    --disable-ccache
+
 
 DEB_TARGET_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
-NO_PACKAGES :=
+
+NO_PACKAGES_ARGS = $(foreach p,$(NO_PACKAGES),-N$(p))
+
 
 configure-stamp: $(QUILT_STAMPFN)
 	dh_testdir
 	dh_autoreconf ./autogen.sh
-	dh_auto_configure --builddirectory=builddir -- $(CONFIGURE_ARGS)
-
-	# Workaround: Enforce rebuilding the bison parser and ensure that the
-	# build directory (where generated sources are put) exists.
-	cd builddir && mkdir -p Source/CParse
-	touch Source/CParse/parser.y
-
+	mkdir -p builddir
+	PHP4INC="`php-config --includes`" \
+	cd builddir && ../configure $(CONFIGURE_ARGS)
 	touch configure-stamp
 
 build: build-indep build-arch
@@ -44,7 +52,6 @@
 build-stamp: configure-stamp
 	dh_testdir
 	cd builddir && $(MAKE) $(MAKEOPTS)
-
 	touch build-stamp
 
 clean:
@@ -69,7 +76,7 @@
 # Build architecture-independent files here.
 # We don't need a dependency on build or install since these are the plain
 # documentation files as included in the distribution.
-binary-indep:
+binary-indep:	
 	dh_testdir
 	dh_testroot
 	dh_prep -i
