## swig 4.2.0

=== debian/changelog ===
swig (4.2.0-2ubuntu1) noble; urgency=medium

  * d/p/fix-subversion-build-with-ruby3.2.patch: backport upstream patch to
    fix subversion FTBFS.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 21 Feb 2024 13:56:36 -0300

swig (4.2.0-2) unstable; urgency=medium

  * d/p/octave-9.patch: New patch
  * d/control: Add myself to the list of Uploaders

 -- Rafael Laboissière <rafael@debian.org>  Wed, 14 Feb 2024 16:42:19 -0300

swig (4.2.0-1) unstable; urgency=medium

  [ Rafael Laboissière ]
  * New upstream release 4.2.0: Update patches.
    + Drop d/p/octave-8.1.patch (applied upstream).
    + Drop d/p/substitute-libv8-dev-with-libnode-dev.patch (applied upstream).

  [ Torsten Landschoff ]
  * Drop versioned packages swig4.0*, add conflicts and replaces.
  * Release to unstable (closes: #1061392, #1060801).

 -- Torsten Landschoff <torsten@debian.org>  Fri, 26 Jan 2024 18:15:05 +0100

swig (4.1.1-1) unstable; urgency=low

  * New upstream release 4.1.1.
  * Acknowledge non-maintainer uploads. Thanks to
    Rafael Laboissière, Jochen Sprickerhof and Bastian Germann.

  [ Rafael Laboissière ]
  * Use debhelper to install overrides, drop ancient override for
    GIFPlot example.

 -- Torsten Landschoff <torsten@debian.org>  Sun, 21 Jan 2024 19:32:51 +0100

swig (4.1.0-0.3) unstable; urgency=medium

  * Non-maintainer upload
  * Update octave files to work with Octave v8 (Closes: #1035684)

 -- Rafael Laboissière <rafael@debian.org>  Thu, 15 Jun 2023 02:06:37 -0300

swig (4.1.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Revert upstream patch for Py_LIMITED_API (Closes: #1024555)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 17 Dec 2022 09:11:55 +0100

swig (4.1.0-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * d/copyright: Represent actual source URL
  * Mangle pre-release versions for correct ordering
  * New upstream version 4.1.0 (Closes: #1003479)
  * Drop upstream patches

  [ Debian Janitor ]
  * Apply multi-arch hints. + swig4.0-examples: Add Multi-Arch: foreign.

 -- Bastian Germann <bage@debian.org>  Mon, 31 Oct 2022 13:05:40 +0100

swig (4.0.2-2) unstable; urgency=medium

  [ Salman Mohammadi ]
  * Update documentation to reference libnode-dev instead of libv8-dev.
    The latter is a virtual package provided by libnode-dev.

  [ Jan Kiszka ]
  * Make swig compatible with Node 12 by applying 4 relevant upstream
    commits (closes: #990361).

  [ Torsten Landschoff ]
  * Apply upstream patch for using PCRE2 instead of the legacy PCRE
    library (closes: #999948).

 -- Torsten Landschoff <torsten@debian.org>  Sat, 05 Feb 2022 23:46:44 +0100
