=== debian/control ===
Source: swig
Section: interpreters
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Torsten Landschoff <torsten@debian.org>
Uploaders: Rafael Laboissière <rafael@debian.org>
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/debian/swig.git
Vcs-Browser: https://salsa.debian.org/debian/swig
Homepage: http://www.swig.org/
Build-Depends: dpkg-dev (>= 1.16.1~),
               bison,
               debhelper (>= 10~),
               debhelper-compat (= 10),
               libpcre2-dev

Package: swig
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Suggests: swig-doc, swig-examples
Conflicts: swig4.0
Replaces: swig4.0
Description: Generate scripting interfaces to C/C++ code
 SWIG is a compiler that makes it easy to integrate C and C++ code
 with other languages including Perl, Tcl, Ruby, Python, Java,
 Guile, Mzscheme, Chicken, OCaml, Pike, and C#.
 .
 Swig takes a set of ANSI C/C++ declarations and generates an
 interface for them to your favorite scripting language.

Package: swig-examples
Architecture: all
Depends: ${misc:Depends}
Conflicts: swig4.0-examples
Replaces: swig4.0-examples
Description: Examples for applications of SWIG
 Contains examples for applications of SWIG, a wrapper interface
 generator to integrate C code into scripting languages.

Package: swig-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Section: doc
Conflicts: swig4.0-doc
Replaces: swig4.0-doc
Description: HTML documentation for SWIG
 Contains the users' and developers' manuals for SWIG (Simplified 
 Wrapper Interface Generator) in HTML format.
