=== debian/rules ===
--- 
+++ 
@@ -12,36 +12,28 @@
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/architecture.mk
 
 # XXX: patch to pike detection submitted upstream, need to adapt
 # configure args
 MAKEOPTS =
 CONFIGURE_ARGS := \
 	--prefix=/usr --mandir=/usr/share/man	\
-    --without-ocaml \
-    --with-python3=python3 \
-    --with-2to3=2to3 \
-    --with-php \
-    --without-perl5 \
-    --without-tcl \
-    --without-java \
-    --without-r \
-    --without-go \
-    --without-guile \
-    --disable-ccache
+	--with-swiglibdir=/usr/share/swig4.0		\
+    --program-suffix=4.0
 
-
-DEB_TARGET_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
-
-NO_PACKAGES_ARGS = $(foreach p,$(NO_PACKAGES),-N$(p))
-
+NO_PACKAGES :=
 
 configure-stamp: $(QUILT_STAMPFN)
 	dh_testdir
 	dh_autoreconf ./autogen.sh
-	mkdir -p builddir
-	PHP4INC="`php-config --includes`" \
-	cd builddir && ../configure $(CONFIGURE_ARGS)
+	dh_auto_configure --builddirectory=builddir -- $(CONFIGURE_ARGS)
+
+	# Workaround: Enforce rebuilding the bison parser and ensure that the
+	# build directory (where generated sources are put) exists.
+	cd builddir && mkdir -p Source/CParse
+	touch Source/CParse/parser.y
+
 	touch configure-stamp
 
 build: build-indep build-arch
@@ -52,6 +44,7 @@
 build-stamp: configure-stamp
 	dh_testdir
 	cd builddir && $(MAKE) $(MAKEOPTS)
+
 	touch build-stamp
 
 clean:
@@ -69,24 +62,24 @@
 	dh_prep
 	dh_installdirs
 
-	cd builddir && $(MAKE) $(MAKEOPTS) DESTDIR=$(CURDIR)/debian/swig4.0 install
+	cd builddir && $(MAKE) $(MAKEOPTS) DESTDIR=$(CURDIR)/debian/swig install
 
 	touch install-stamp
 
 # Build architecture-independent files here.
 # We don't need a dependency on build or install since these are the plain
 # documentation files as included in the distribution.
-binary-indep:	
+binary-indep:
 	dh_testdir
 	dh_testroot
 	dh_prep -i
 	dh_installdirs -i
 	dh_installdocs -i
 	dh_installexamples -i
-	cd debian/swig4.0-examples/usr/share/doc/swig4.0-examples && mv examples/* . && rmdir examples
-	cp debian/swig4.0-examples.override debian/swig4.0-examples/usr/share/lintian/overrides/swig4.0-examples
+	cd debian/swig-examples/usr/share/doc/swig-examples && mv examples/* . && rmdir examples
+	dh_lintian -i
 	perl -pi -e 's,^SWIG.*=.*$$,SWIG      = swig,' \
-		`find debian/swig4.0-examples/usr/share/doc/swig4.0-examples -name Makefile`
+		`find debian/swig-examples/usr/share/doc/swig-examples -name Makefile`
 	dh_installchangelogs -i
 	dh_link -i
 	dh_compress -i -X.pdf
@@ -106,11 +99,11 @@
 #	dh_installemacsen -a $(NO_PACKAGES_ARGS)
 #	dh_installinit -a $(NO_PACKAGES_ARGS)
 	dh_installcron -a $(NO_PACKAGES_ARGS)
-	dh_installman -p swig4.0 debian/swig4.0.1
+	dh_installman -p swig debian/swig.1
 	dh_install -a --sourcedir=$(CURDIR)
 #	dh_undocumented
-	dh_installchangelogs -a -Nswig4.0 $(NO_PACKAGES_ARGS) CHANGES
-	dh_installchangelogs -pswig4.0 $(NO_PACKAGES_ARGS)
+	dh_installchangelogs -a -Nswig $(NO_PACKAGES_ARGS) CHANGES
+	dh_installchangelogs -pswig $(NO_PACKAGES_ARGS)
 	dh_compress -a $(NO_PACKAGES_ARGS) -X.pdf
 	dh_link -a $(NO_PACKAGES_ARGS)
 	dh_strip -a $(NO_PACKAGES_ARGS)
