## swig 4.2.1

=== debian/changelog ===
swig (4.2.1-1) unstable; urgency=medium

  [ Rafael Laboissière ]
  * New upstream version 4.2.1 (Closes: #1064680)
  * d/p/octave-9.patch: Drop patch (applied upstream)
  * Use the dh command sequencer
    + d/rules: Revamp the file, keeping only target "%:" and
      "override_dh_autoreconf"
    + d/swig-doc.doc-base: Add ".gz" as sufix of the PDF file
    + d/swig-examples.dirs: Drop file
    + d/swig-examples.examples: Set contents to "Examples/*"
    + d/swig-examples.links: Drp file
    + d/swig.dirs: Drop file
    + d/swig.install: New file
    + d/swig.links: Drop file
    + d/swig.manpages: New file
  * Proper installation of upstream Changelog and NEWS files
    + d/rules: Override command dh_installchangelogs to prevent the
      creation of changelog.gz file
    + d/swig.docs: Install upstream files CHANGES and CHANGES.current
      (Changelogs), and RELEASENOTES (NEWS file)
    + d/swig.links: Link NEWS.gz to RELEASENOTES.gz
  * d/swig-doc.doc-base:
    + Get rid of "4.0" version in doc title
    + Fix paths for documentation files
  * d/rules: Make build reproducible.
    After build, change the value of the ROOT_DIR variable in
    examples/Makefile, in order to avoid the full build path as value.
    Also, do not compress the files in the examples directory.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 10 to 13.
  * Set upstream metadata fields: Archive, Bug-Database, Name (from
    ./configure).
  * Update standards version to 4.6.2, no changes needed.

 -- Rafael Laboissière <rafael@debian.org>  Mon, 04 Mar 2024 07:26:01 -0300
