=== Examples/python/import_packages/from_init3/py2/pkg2/pkg3/Makefile ===
TOP        = ../../../../../..
SWIGOPT    =
LIBS       =

build:
	$(MAKE) -C pkg4 SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' build

static:
	$(MAKE) -C pkg4 SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' static

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' python_clean
	$(MAKE) -C pkg4 clean
