=== debian/changelog ===
swig (4.3.0-2ubuntu1) resolute; urgency=medium

  * Adopt patches from Fedora for Python 3.14 support

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 22 Oct 2025 09:32:39 +0000

swig (4.3.0-2) unstable; urgency=medium

  * d/p/add-required-c-header.patch: New patch.
    This is necessary to avoid the FTBFS of the plplot package. Thanks
    to Sébastien Villemot <sebastien@debian.org> for indicating the
    solution (Closes: #1114586)

 -- Rafael Laboissière <rafael@debian.org>  Thu, 18 Sep 2025 14:05:20 -0300

swig (4.3.0-1) unstable; urgency=medium

  * Acknowledge NMU by doko, thanks, Matthias.
  * Repair autopkgtests: depend on right swig version. The tests unfortunately
    had a dependency on the old swig4.0 package which is now gone.

 -- Torsten Landschoff <torsten@debian.org>  Sat, 25 Jan 2025 21:58:10 +0100

swig (4.3.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Python 3.13 support). Closes: #1090722.
  * Fix issue3058, precedence of casts.

 -- Matthias Klose <doko@debian.org>  Fri, 20 Dec 2024 17:24:57 +0100
