=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Torsten Landschoff <torsten@debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/swig.git
 Vcs-Browser: https://salsa.debian.org/debian/swig
-Homepage: http://www.swig.org/
+Homepage: https://www.swig.org/
 Build-Depends: dpkg-dev (>= 1.16.1~),
                bison,
                debhelper (>= 10~),
-               debhelper-compat (= 10),
+               debhelper-compat (= 13),
                libpcre2-dev
 
 Package: swig
@@ -23,8 +23,8 @@
 Replaces: swig4.0
 Description: Generate scripting interfaces to C/C++ code
  SWIG is a compiler that makes it easy to integrate C and C++ code
- with other languages including Perl, Tcl, Ruby, Python, Java,
- Guile, Mzscheme, Chicken, OCaml, Pike, and C#.
+ with these languages: C#, D, Go, Guile, Java, JavaScript, Lua,
+ Mzscheme, OCaml, Octave, Perl, PHP, Python, R, Ruby, Scilab, and Tcl.
  .
  Swig takes a set of ANSI C/C++ declarations and generates an
  interface for them to your favorite scripting language.
@@ -46,5 +46,5 @@
 Conflicts: swig4.0-doc
 Replaces: swig4.0-doc
 Description: HTML documentation for SWIG
- Contains the users' and developers' manuals for SWIG (Simplified 
+ Contains the users' and developers' manuals for SWIG (Simplified
  Wrapper Interface Generator) in HTML format.
